@mixin gridColCenter{
    grid-column: center-start / center-end;
}

@mixin gridFull {
    grid-column: full-start / full-end;
}


// Breakpoints
// @mixin respond($breakpoint){
    
//     @if $breakpoint == phone { // <= 600px
//         @media only screen and (max-width: 37.5em){ @content };
//     }
//     @if $breakpoint == tab-port{ // <= 900px
//         @media only screen and (max-width: 56.25em){ @content };
//     }
//     @if $breakpoint == tab-land{ // <= 1200px
//         @media only screen and (max-width: 75em){ @content };
//     }
//     @if $breakpoint == big-desktop{ // >= 1800px
//         @media only screen and (min-width: 112.5em){ @content };
//     }
// }

// @include respond(tab-port) {
//     width: 100%;
//     padding: 4rem 4rem 4rem 7rem;
// }

// @include respond(phone) {
//     transform: skewX(0);
// }

@mixin respond($breakpoint){
    @if $breakpoint == largest { // <= 1200px
        @media only screen and (max-width: 75em) { @content };
    }
    @if $breakpoint == large { // <= 1000px
        @media only screen and (max-width: 62.5em) { @content };
    }
    @if $breakpoint == medium { // <= 1000px
        @media only screen and (max-width: 50em) { @content };
    }
    @if $breakpoint == small { // <= 600px
        @media only screen and (max-width: 37.5em) { @content };
    }
}